\version "2.13.4"

\header {
  scorenumberbase="EK-0002"
  title = "Stabat Mater, D 383"
  subtitle = "\"Jesus Christus schwebt am Kreuze\", D 383"
  composer = "Franz Schubert (1797-1828)"
  shortcomposer = "F. Schubert"
  poet = "Friedrich G. Klopstock (1724-1803)"
  enteredby = "Reinhold Kainhofer"
  lastupdated = "September 2009"
  copyright = \markup \abs-fontsize #9 \column{
    \line { 2012, \with-url #"http://www.edition-kainhofer.com/" {Edition Kainhofer, Vienna,} \concat{\fromproperty #'header:scorenumber .} Alle Rechte vorbehalten / All rights reserved / Printed in Austria. }
  }
}

#(oly:modify_score_structure '("Trb" "GrandStaff" ("TrbA" "TrbIII")))
#(oly:modify_score_structure '("TrbA" "PartCombinedStaff" ("TrbI" "TrbII")))
#(oly:modify_score_structure '("BassGroup" "ParallelMusic" ("VceB"))
)

% Possibly adjust the \orchestralScoreStructure here...
% \orchestralScoreStructure #'(
% ; Part-combined staves
%   ("Fl" "PartCombinedStaff" ("FlI" "FlII"))
%   ("Ob" "PartCombinedStaff" ("ObI" "ObII"))
%   ("Fag" "PartCombinedStaff" ("FagI" "FagII"))
%   ("Wd" "StaffGroup" ("Fl" "Ob" "Fag" "CFag"))
%   ("Cor" "PartCombinedStaff" ("CorI" "CorII"))
%   ("Trb" "PartCombinedStaff" ("TrbI" "TrbII"))
%   ("TrbAll" "GrandStaff" ("Trb" "TrbIII"))
%   ("Br" "StaffGroup" ("Cor" "TrbAll"))
% ; long score (no part-combined staves, but GrandStaves instead
%   ("FlLong" "GrandStaff" ("FlI" "FlII"))
%   ("ObLong" "GrandStaff" ("ObI" "ObII"))
%   ("FagLong" "GrandStaff" ("FagI" "FagII"))
%   ("WdLong" "StaffGroup" ("FlLong" "ObLong" "FagLong" "CFag"))
%   ("CorLong" "GrandStaff" ("CorI" "CorII"))
%   ("TrLong" "GrandStaff" ("TrI" "TrII" "TrIII"))
%   ("BrLong" "StaffGroup" ("CorLong" "TrLong"))
% ; Strings, they are the same in long and short full score
%   ("V" "GrandStaff" ("VI" "VII"))
%   ("Str" "StaffGroup" ("V" "Va"))
%   ("VceB" "StaffGroup" ("VcB"))
%   ("FullStr" "StaffGroup" ("V" "Va" "VcB"))
% ; Vocal voices
%   ("Solo" "SimultaneousMusic" ("SSolo" "TSolo" "BSolo"))
%   ("Ch" "ChoirStaff" ("S" "A" "T" "B"))
%   ("Vocal" "SimultaneousMusic" ("Solo" "Ch"))
% ; full scores
%   ("Partitur" "SimultaneousMusic" ("Wd" "Br" "Str" "Solo" "Ch" "VceB"))
%   ("LongScore" "SimultaneousMusic" ("WdLong" "BrLong" "Str" "Solo" "Ch" "VceB"))
% ; Piano reduction
%   ("PianoReduction" "SimultaneousMusic" ("Solo" "Ch" "Piano"))
% )

comments = "Diese Ausgabe basiert auf {\italic Franz (Peter) Schubert (1797-1828): \"Stabat Mater, D. 383\", Breitkopf and Härtel, 1897, 66 Seiten} ([Br]). Zum Vergleich wurden die Originalhandschrift (http://www.schubert-online.at/activpage/manuskripte.php?werke_id=16) [Sch] sowie die Neue Schubert Ausgabe (Ed. M. Jahrmärker, Bärenreiter, 1996) [Bae] herangezogen. Differenzen in den Ausgaben sind im Anhang aufgelistet und diskutiert.

Für die Versetzungszeichen wurde der \"modern\"-Stil von Lilypond benutzt, wobei Auflösungszeichen bis zum Taktende gelten, im folgenden Takt jedoch eventuelle Aufl\"osungszeichen sicherheitshalber explizit angegeben werden.

Schubert schreibt Akzente und Decresceni sehr ähnlich, wobei Akzente auch als Decrescendi zu verstehen sind und nicht als kurzer Akzent auszuführen sind. Längere Akzente/Decrescendi, die sich auf mehrere Noten beziehen, werden in dieser Ausgabe auch als Decrescendi notiert, kurze Decrescendi über eine einzige Note jedoch als Akzent."

commentsInstrMarkup = \markup { \fill-line {
\justify-string #"Schubert notiert Akzente und Decrescendi meist sehr ähnlich, sie haben für ihn auch ähnliche Bedeutung: Betonung mit nachfolgendem (langsamen oder manchmal auch schnellem) Decrescendo, welches auch über mehrere Noten gehen kann. Warnakzidentien werden in dieser Ausgabe nur im folgenden Takt (und in Klammern) angegeben." } }
commentsInstrMarkupShort = \markup { \fill-line {
\justify-string #"Bemerkung: Akzent = Betonung mit langsamen Decrescendo (evt. über mehrere Noten)." } }


CorKey = {
  \key c \major
%   \transposition c
}
CorIKey = \CorKey
CorIIKey = \CorKey


%%% Clef definitions, either old-style (using the Breitkopf style) or new style
% TrbClef = "alto/tenor"
TrbAClef = \TrbClef
TrbIClef = \TrbClef
TrbIIClef = \TrbClef
SClef = "soprano/treble"
AClef = "alto/treble"
TClef = "tenor/treble_8"
SSoloClef = \SClef
TSoloClef = \TClef

IIIChorCorIInstrumentName = \markup { \center-column { "Corno I" \line{"in Mi"{\smaller\flat}"/Es"} } }
IIIChorCorIIInstrumentName = \markup { \center-column { "Corno II" \line{"in Mi"{\smaller\flat}"/Es"} } }
IIIChorCorInstrumentName = \markup { \center-column { "Corni" \line{"in Mi"{\smaller\flat}"/Es"} } }
VChorCorIInstrumentName = \markup { \center-column { "Corno I" "in Sol/G" } }
VChorCorIIInstrumentName = \markup { \center-column { "Corno II" "in Sol/G" } }
VChorCorInstrumentName = \markup { \center-column { "Corni" "in Sol/G" } }
IXChorCorIInstrumentName = \markup { \center-column { "Corno I" "in Mi/E" } }
IXChorCorIIInstrumentName = \markup { \center-column { "Corno II" "in Mi/E" } }
IXChorCorInstrumentName = \markup { \center-column { "Corni" "in Mi/E" } }
XITerzettChCorIInstrumentName = \markup { \center-column { "Corno I" "in Fa/F" } }
XITerzettChCorIIInstrumentName = \markup { \center-column { "Corno II" "in Fa/F" } }
XITerzettChCorInstrumentName = \markup { \center-column { "Corni" "in Fa/F" } }

VIIChorSInstrumentName = \markup { \center-column { \SInstrumentName \ObInstrumentName }}
VIIChorAInstrumentName = \markup { \center-column { \AInstrumentName \TrbIInstrumentName }}
VIIChorTInstrumentName = \markup { \center-column { \TInstrumentName \TrbIIInstrumentName }}
VIIChorBInstrumentName = \markup { \center-column { \BInstrumentName \TrbIIIInstrumentName }}
VIIChorVcBInstrumentName =  \markup { \center-column { \VcBInstrumentName \FagInstrumentName }}
VIIChorSShortInstrumentName = \markup { \center-column { \SShortInstrumentName \ObShortInstrumentName }}
VIIChorAShortInstrumentName = \markup { \center-column { \AShortInstrumentName \TrbIShortInstrumentName }}
VIIChorTShortInstrumentName = \markup { \center-column { \TShortInstrumentName \TrbIIShortInstrumentName }}
VIIChorBShortInstrumentName = \markup { \center-column { \BShortInstrumentName \TrbIIIShortInstrumentName }}
VIIChorVcBShortInstrumentName =  \markup { \center-column { "Vc./B." \FagShortInstrumentName }}

XIIChorSInstrumentName = \markup { \center-column { \SInstrumentName \ObInstrumentName }}
XIIChorAInstrumentName = \markup { \center-column { \AInstrumentName \TrbIInstrumentName }}
XIIChorTInstrumentName = \markup { \center-column { \TInstrumentName \TrbIIInstrumentName }}
XIIChorBInstrumentName = \markup { \center-column { \BInstrumentName \TrbIIIInstrumentName }}
XIIChorVcBInstrumentName =  \markup { \center-column { \VcBInstrumentName \FagInstrumentName }}
XIIChorSShortInstrumentName = \markup { \center-column { \SShortInstrumentName \ObShortInstrumentName }}
XIIChorAShortInstrumentName = \markup { \center-column { \AShortInstrumentName \TrbIShortInstrumentName }}
XIIChorTShortInstrumentName = \markup { \center-column { \TShortInstrumentName \TrbIIShortInstrumentName }}
XIIChorBShortInstrumentName = \markup { \center-column { \BShortInstrumentName \TrbIIIShortInstrumentName }}
XIIChorVcBShortInstrumentName =  \markup { \center-column { "Vc./B." \FagShortInstrumentName }}

% clear TrbIII instrument after assigning the "colla parte" instruction above!!!!
% TrbIIIInstrumentName = ##f
% TrbIIIShortInstrumentName = ##f

% 5. Chor only features bassoon 1
VChorFagInstrumentName = \FagIInstrumentName
VChorFagShortInstrumentName = \FagIShortInstrumentName
% 6. Arie only features Oboe 1 as solo
VIArieObInstrumentName = "Oboe solo"
VIArieObIInstrumentName = "Oboe solosd"
% VIArieObShortInstrumentName = "Ob."

% ChShortInstrumentName  = "Coro"

\layout {
  \context { \Voice
     \override DynamicTextSpanner #'style = #'none
  }
  \context { \Score
      \override StaffSymbol.break-align-symbols = #'(time-signature key-cancellation key-signature staff-bar break-alignment)
  }
  \context { \Staff
    \override InstrumentSwitch #'font-shape = #'italic
  }
}

%% http://lsr.di.unimi.it/LSR/Item?id=777
%% see also http://lsr.di.unimi.it/LSR/Item?id=639
%% see also %% see also http://www.lilypond.org/doc/v2.18/Documentation/notation/expressive-marks-as-curves


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% http://lsr.dsi.unimi.it/LSR/Snippet?id=639 :
% http://lists.gnu.org/archive/html/lilypond-user/2007-08/msg00539.html
% http://lists.gnu.org/archive/html/lilypond-user/2009-09/msg00495.html
% By Dmytro O. Redchuk, incorporating a function written by David Nalesnik
% Thanks, Neil, for your help!!

#(define ((alter-curve offsets) grob)
   ;; get default control-points
   (let ((coords (ly:slur::calc-control-points grob)))
     ;; add offsets to default coordinates
     (define (add-offsets coords offsets)
       (if (null? coords)
       '()
       (cons
         (cons (+ (caar coords) (car offsets))
               (+ (cdar coords) (cadr offsets)))
         (add-offsets (cdr coords) (cddr offsets)))))

     (if (null? offsets)
         coords
         (add-offsets coords offsets))))


#(define ((shape-slur offsets) grob)
   (let* (
          ;; have we been split?
          (orig (ly:grob-original grob))
          ;; if yes, get the split pieces (our siblings)
          (siblings (if (ly:grob? orig)
                        (ly:spanner-broken-into orig) '() ))
          (total-found (length siblings)))
     (if (>= total-found 2)
         ;; shape BROKEN
         ;; walk through siblings, find index in list
         ;; and apply offsets from list of offsets:
         (let loop ((n 0))
                   (if (eq? (list-ref siblings n) grob)
                       ;; return altered:
                       ((alter-curve (list-ref offsets n)) grob)
                       (if (< n total-found)
                           (loop (1+ n))
                           ;; end of list -- none found?!
                           ;; return defaults:
                           ((alter-curve '()) grob))))
         ;;
         ;; shape UNBROKEN
         ((alter-curve offsets) grob))))

shapeSlur =
#(define-music-function (parser location offsets)
                        (list?)
  #{
    \once \override Slur.control-points = #(shape-slur offsets)
  #})
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% http://lsr.di.unimi.it/LSR/Item?id=643
%% see also http://lilypond.org/doc/v2.18/Documentation/notation/common-notation-for-vocal-music

%LSR contributed by Neil Puttock

#(define (extend text . padding)
   (let ((extender (make-music 'ExtenderEvent))
	 ;; optional padding
	 (padding (if (pair? padding)
		      (car padding)
		      0)))

     (set! (ly:music-property extender 'tweaks)
	   (acons 'stencil (lambda (grob)
			     (let* ((orig (ly:grob-original grob))
				    (siblings (ly:spanner-broken-into orig)))

			       (if (or (null? siblings)
				       (and (>= (length siblings) 2)
					    (eq? (car (last-pair siblings))
						 grob)))
				   (ly:stencil-combine-at-edge
				    (ly:lyric-extender::print grob)
				    X RIGHT
				    (grob-interpret-markup grob text)
				    padding)
				   (ly:lyric-extender::print grob))))
		  (ly:music-property extender 'tweaks)))
     extender))

%Define custom extenders, first with extra padding
extendComma = #(extend "," 0.3)
extendExclaim = #(extend "!" 0.3)
extendPeriod = #(extend "." 0.3)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

seque =
#(define-music-function
     (parser location text)
     (string?)
   #{
       \once \override Score.RehearsalMark.direction = #DOWN
       \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
       \once \override Score.RehearsalMark.font-shape = #'italic
       \mark #text
       \noPageTurn
   #})